//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010  huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.willow.startup;

import java.io.InputStream;
import java.util.Properties;

public class ServerInfo
{

	// ------------------------------------------------------- Static Variables

	/**
	 * The server information String with which we identify ourselves.
	 */
	private static String serverInfo = null;

	static {

		try
		{
			InputStream is = ServerInfo.class.getResourceAsStream("/org/huihoo/willow/util/ServerInfo.properties");
			Properties props = new Properties();
			props.load(is);
			is.close();
			serverInfo = props.getProperty("server.info");
		}
		catch (Throwable t)
		{
			;
		}
		if (serverInfo == null)
		{	
		  serverInfo = "HUIHOO WILLOW";
    }
	}

	// --------------------------------------------------------- Public Methods

	/**
	 * Return the server identification for this version of Willow.
	 */
	public static String getServerInfo()
	{

		return (serverInfo);

	}

}
